apiVersion: v2
name: dev-env
description: A Helm chart for Kubernetes

# A chart can be either an 'application' or a 'library' chart.
#
# Application charts are a collection of templates that can be packaged into versioned archives
# to be deployed.
#
# Library charts provide useful utilities or functions for the chart developer. They're included as
# a dependency of application charts to inject those utilities and functions into the rendering
# pipeline. Library charts do not define any templates and therefore cannot be deployed.
type: application

# This is the chart version. This version number should be incremented each time you make changes
# to the chart and its templates, including the app version.
# Versions are expected to follow Semantic Versioning (https://semver.org/)
version: 0.1.0

# This is the version number of the application being deployed. This version number should be
# incremented each time you make changes to the application. Versions are not expected to
# follow Semantic Versioning. They should reflect the version the application is using.
# It is recommended to use it with quotes.
appVersion: "1.16.0"

dependencies:
  - name: eazybank-common
    version: 0.1.0
    repository: file://../../eazybank-common

  - name: zipkin
    version: 0.1.0
    repository: file://../../eazybank-services/zipkin

  - name: config-server
    version: 0.1.0
    repository: file://../../eazybank-services/config-server

  - name: eureka-server
    version: 0.1.0
    repository: file://../../eazybank-services/eureka-server

  - name: accounts
    version: 0.1.0
    repository: file://../../eazybank-services/accounts

  - name: cards
    version: 0.1.0
    repository: file://../../eazybank-services/cards

  - name: loans
    version: 0.1.0
    repository: file://../../eazybank-services/loans

  - name: gateway-server
    version: 0.1.0
    repository: file://../../eazybank-services/gateway-server
